org.omg.IOP

## Interface TAG_ALTERNATE_IIOP_ADDRESS

-     public interface TAG_ALTERNATE_IIOP_ADDRESS

  org/omg/IOP/TAG_ALTERNATE_IIOP_ADDRESS.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /HUDSON3/workspace/8-2-build-linux-amd64/jdk8u74/6087/corba/src/share/classes/org/omg/PortableInterceptor/IOP.idl Friday, January 29, 2016 7:21:48 PM PST

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `value` In cases where the same object key is used for more than one internet location, the following standard IOR Component is defined for support in IIOP version 1.2.

- - ### Field Detail

    - #### value

          static final int value

      In cases where the same object key is used for more than one internet location, the following standard IOR Component is defined for support in IIOP version 1.2.

      The `TAG_ALTERNATE_IIOP_ADDRESS` component has an associated value of type: ``

               struct {
                   string HostID,
                   short Port
               };

      encoded as a CDR encapsulation.

      Zero or more instances of the `TAG_ALTERNATE_IIOP_ADDRESS` component type may be included in a version 1.2 `TAG_INTERNET_IOP` Profile. Each of these alternative addresses may be used by the client orb, in addition to the host and port address expressed in the body of the Profile. In cases where one or more `TAG_ALTERNATE_IIOP_ADDRESS` components are present in a `TAG_INTERNET_IOP` Profile, no order of use is prescribed by Version 1.2 of IIOP.

      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.